from django.contrib import admin

from .models import Department
from .models import EthicsBoard
from .models import Keyword
from .models import Link
from .models import Project
from .models import Study


class KeywordInline(admin.TabularInline):
    model = Keyword


class LinkInline(admin.TabularInline):
    model = Link


class StudyAdmin(admin.ModelAdmin):
    inlines = [KeywordInline, LinkInline]
    search_fields = ['title', 'short_title']


admin.site.register(Department)
admin.site.register(EthicsBoard)
admin.site.register(Project)
admin.site.register(Study, StudyAdmin)
