import requests
from django.conf import settings

from study_registration.utils import smb


def sync(study):
    if not settings.STORAGE_BASE_URL:
        return None
    res = requests.post(
        settings.STORAGE_BASE_URL,
        json={
            'id': str(study),
            'manager': study.contact_person.username,
            'users': [u.username for u in study.owners.all()],
        },
        headers=settings.STORAGE_HEADERS,
        timeout=20,
    )
    res.raise_for_status()
    location = res.json()
    return smb.url(location)
