def ldap_set_department(user=None, ldap_user=None, **kwargs):
    from study_registration.studies.models import Department

    # if a department is already set, keep it unless it is no longer valid
    if user.default_department and (
        not user.default_department.ldap_group
        or user.default_department.ldap_group in ldap_user.attrs.get('memberOf', [])
    ):
        return

    for department in Department.objects.exclude(ldap_group=''):
        if department.ldap_group in ldap_user.attrs.get('memberOf', []):
            user.default_department = department
