from django import forms


class TagField(forms.MultipleChoiceField):
    def widget_attrs(self, widget):
        attrs = super().widget_attrs(widget)
        attrs['data-tags'] = ''
        attrs['data-tags-input-class'] = 'form-control'
        attrs['data-tags-value-class'] = 'badge text-bg-secondary badge-delete'
        attrs['data-tags-separators'] = 'Enter , ;'
        return attrs

    def valid_value(self, value):
        return True


class DateInput(forms.DateInput):
    def __init__(self, attrs=None):
        defaults = {'type': 'date'}
        if attrs:
            defaults.update(attrs)
        super().__init__(format='%Y-%m-%d', attrs=defaults)


class DateField(forms.DateField):
    widget = DateInput
